package com.angelogalvao.samples;

import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Destination;
import javax.jms.Message;
import javax.jms.Session;
import javax.naming.InitialContext;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
@Stateless
public class MessageResource {
	
	@Resource(lookup="java:/jms/remoteCF")
	private ConnectionFactory cf;
		
	@Resource(lookup="java:global/remoteContext")
	private InitialContext context1;

	
	@Path("/sendTestMessage")
	@Produces(MediaType.TEXT_PLAIN)
	@GET
	public String sendTestMessage() throws Exception {
		
		InitialContext context = new InitialContext();
		
		
		Destination testQueue = (Destination) context.lookup("java:/Queue");
		
		
		Connection connection = cf.createConnection();
		Session session = connection.createSession(false,Session.AUTO_ACKNOWLEDGE);
		
		Message message = session.createTextMessage("Test message!!!");
		
		session.createProducer(testQueue).send(message);
		
		return "Message sent!";
	}
	
	@Path("/sendTestMessageTopic")
	@Produces(MediaType.TEXT_PLAIN)
	@GET
	public String sendTestMessageTopic() throws Exception {
		
		InitialContext context = new InitialContext();
		
		
		Destination testQueue = (Destination) context.lookup("java:/MyTopic");
		
		
		Connection connection = cf.createConnection();
		Session session = connection.createSession(false,Session.AUTO_ACKNOWLEDGE);
		
		Message message = session.createTextMessage("Test message topic!!!");
		
		session.createProducer(testQueue).send(message);
		
		return "Message sent!";
	}
}
