package com.angelogalvao.samples;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;

import org.jboss.ejb3.annotation.ResourceAdapter;

@MessageDriven(name = "TopicConsumer", activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Topic"),
		@ActivationConfigProperty(propertyName = "destination", propertyValue = "MyTopic"),
		@ActivationConfigProperty(propertyName = "useJNDI", propertyValue = "false"),
		@ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
		@ActivationConfigProperty(propertyName = "clientID", propertyValue = "example"),
		@ActivationConfigProperty(propertyName = "subscriptionName", propertyValue = "example"),
		@ActivationConfigProperty(propertyName = "subscriptionDurability", propertyValue = "Durable")
})
@ResourceAdapter("remote-artemis")
public class TopicConsumerMDB implements MessageListener {

	@Override
	public void onMessage(Message message) {
		
		System.out.println("Topic Message consumed");
	}

}
